Cancel task
The Tasking API allows users to cancel a task that is in a RECEIVED or ACTIVE state. The task will be transitioned to CANCELED and ICEYE will stop pursuing the acquisition of the SAR data.
| The canceled task will be billed according to the Task Cancellation Policy. |
Example
Request
Enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:
curl --location "${API_BASE_URL}/api/tasking/v1/tasks" \
--header "Content-Type: application/json" \
--header "Accept: application/json, application/problem+json" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}" \
--data '{
"acquisitionWindow": {
"start": "2023-12-29T23:20:11.315Z",
"end": "2023-12-30T01:20:11.315Z"
},
"contractID": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"id": "YYYYYYYY-YYYY-YYYY-YYYY-YYYYYYYYYYY",
"imagingMode": "SPOTLIGHT",
"pointOfInterest": {
"lat": -23.700552,
"lon": 133.882675
}
}'
curl --location --request PATCH "${API_BASE_URL}/api/tasking/v1/tasks/${taskID}" \
--header 'Content-Type: application/json' \
--header 'Accept: application/json, application/problem+json' \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}" \
--data '{
"status": "CANCELED"
}'
Response
On success, customers will receive a 200 status code and a JSON object containing the recently canceled Task, with CANCELED status.
{
"acquisitionWindow": {
"end": "2023-12-30T01:20:11.315Z",
"start": "2023-12-29T23:20:11.315Z"
},
"contractID": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXX",
"createdAt": "2023-12-28T11:04:28.372434Z",
"id": "YYYYYYYY-YYYY-YYYY-YYYY-YYYYYYYYYYY",
"imagingMode": "SPOTLIGHT",
"pointOfInterest": {
"lat": -23.700552,
"lon": 133.882675
},
"status": "CANCELED",
"updatedAt": "2023-12-28T11:04:28.511335Z"
}